#ifndef INCLUDE_DRIVER_MIXER_OSS_H
#define INCLUDE_DRIVER_MIXER_OSS_H
/**
 * @brief Low level mixer driver for OSS mixer.
 *
 * This file contains some definitions and the prototypes for the
 * OSS mixer driver.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation
 * (http://www.gnu.org/licenses/gpl.html)
 *
 * @file    src/driver_mixer_oss.h
 * @author  Matthias Grimm <matthias.grimm@users.sourceforge.net>
 */

#define VOLUME_MAX		100
#define VOLUME_MIN		0
#define VOLUME_FR		6     /* volume failure range defines */
                             /* how wide the hardware volume level */
							/* is allowed to jitter without adjustment */

/* public prototypes driver OSS mixer */	
struct driver_mixer *driver_mixer_oss_init ();

#endif    /* INCLUDE_DRIVER_MIXER_OSS_H */
